> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Subscription

Enrolls an Entity to a Subscription. Once
enrolled, the Subscription name and details will be present
on the response object.

## Path Parameters

## Body

## Returns

Returns a Subscription object.

> [!NOTE]
>
> When subscribing to `attribute`, you must provide at least one of `requested_attributes` or `bundles`.
> Use `requested_attributes` to specify individual attributes by name (see [Available Attributes](https://docs.methodfi.com/2026-03-30/reference/entities/attributes/overview.md#available-attributes)),
> or `bundles` to subscribe to a pre-defined grouping of attributes (see [Available Bundles](https://docs.methodfi.com/2026-03-30/reference/entities/attributes/overview.md#available-bundles)
> for the full list and what each bundle expands to). The two can be combined to enroll in a bundle plus extra individual attributes.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "enroll": "attribute",
    "payload": {
      "attributes": {
        "bundles": ["portfolio_intelligence"],
        "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
      }
    }
  }'
```

```javascript Node.js theme={null}
const response = await method
  .entities('ent_TYHMaRJUUeJ7U')
  .subscriptions
  .create({
    enroll: 'attribute',
    payload: {
      attributes: {
        bundles: ['portfolio_intelligence'],
        requested_attributes: ['credit_card_utilization', 'revolving_credit_card_balance_total'],
      },
    },
  });
```

```python Python theme={null}
response = method
  .entities('ent_TYHMaRJUUeJ7U')
  .subscriptions
  .create({
    'enroll': 'attribute',
    'payload': {
      'attributes': {
        'bundles': ['portfolio_intelligence'],
        'requested_attributes': ['credit_card_utilization', 'revolving_credit_card_balance_total'],
      },
    },
  })
```

```json theme={null}
{
  "id": "sub_c3a7hVjHCJzF3",
  "name": "attribute",
  "status": "active",
  "payload": {
    "attributes": {
      "bundles": ["portfolio_intelligence"],
      "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
    }
  },
  "latest_request_id": null,
  "created_at": "2026-04-09T17:02:47.910Z",
  "updated_at": "2026-04-09T17:02:47.910Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.